<?php

namespace Drupal\syncart\Hook;

use Drupal\commerce_checkout_link\CheckoutLinkManager;

/**
 * Implements hook_preprocess_commerce_order_receipt.
 */
class PreprocessCommerceOrderReceipt {

  /**
   * Implements hook.
   */
  public static function hook(&$variables) {
    /** @var \Drupal\Core\Url $checkoutUrl */
    $checkoutUrl = CheckoutLinkManager::generateUrl($variables['order_entity']);
    $variables['checkout_url'] = $checkoutUrl
      ->setAbsolute()
      ->toString();
  }

}
