Altering:
```php
<?
/**
 * Implements hook_syncart_variation_alter().
 */
function HOOK_syncart_variation_alter(&$info, $variation) {
  \Drupal::messenger()->addStatus(__FUNCTION__);
  // Variation.
  foreach (['field_variation_color', 'field_variation_size'] as $field) {
    $term = $variation->$field->entity;
    $info[$field] = is_object($term) ? $term->getName() : '';
  }
  // Product.
  if (is_object($product = $variation->getProduct())) {
    $info['code'] = $product->field_code->value;
  }
}
```
