<?php

namespace Drupal\syncart\Hook;

/**
 * Commerce CheckoutFlow Alter.
 */
class FormCommerceCheckoutFlowMultistepDefaultAlter {

  /**
   * Hook preprocess.
   */
  public static function hook(&$form, $form_state) {
    $form['#attached']['library'][] = 'syncart/checkout';
    $form['actions']['next']['#value'] = t('Next');
    // Step 1 Order Information.
    if ($form['#step_id'] == 'order_information') {
      if (!empty($form['payment_information'])) {
        unset($form['payment_information']['billing_information']['copy_to_address_book']);
      }
      if (!empty($form['billing_information']['profile']['copy_to_address_book'])) {
        unset($form['billing_information']['profile']['copy_to_address_book']);
      }
    }
    // Step 2 Review.
    if ($form['#step_id'] == 'review') {
      $form['actions']['next']['#prefix'] = $form['actions']['next']['#suffix'];
      unset($form['actions']['next']['#suffix']);
    }
    // Step 3 Payment.
    if ($form['#step_id'] == 'payment') {

    }
    // Step 4 Payment.
    if ($form['#step_id'] == 'complete') {

    }
  }

}
